Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class EModel

    |
    +--biouml.model.dynamics.EModelRoleSupport
      |
      +--biouml.model.dynamics.EModel

public class EModel
extends EModelRoleSupport
implements DataCollectionListener, ParserContext, PropertyChangeListener

Genrally this role should be assotiated with Diagram.

pending high - parameters update

Inner Class Summary
`public static class` | EModel.VariableFilter

Field Summary
`final static int` | `ALGEBRAIC_TYPE`
`final static int` | `EVENT_TYPE`
`final static int` | `ODE_DELAY_TYPE`
`final static int` | `ODE_TYPE`
`final static int` | `STATE_TRANSITION_TYPE`
`final static int` | `STATIC_EQUATIONS_TYPE`
`final static int` | `STATIC_TYPE`

Constructor Summary
`EModel(DiagramElement de)`

Method Summary
`Role` | `clone(DiagramElement de)` Unsupported yet.
`boolean` | `containsConstant(String name)`
`boolean` | `containsVariable(String name)`
`void` | `declareConstant(String name, Object value)`
`void` | `declareFunction(ru.biosoft.math.model.Function function)`
`void` | `declareVariable(String name, Object value)` Declares the variable (parameter).
`void` | `elementAdded(DataCollectionEvent e)`
`void` | `elementChanged(DataCollectionEvent e)`
`void` | `elementRemoved(DataCollectionEvent e)`
`void` | `elementWillAdd(DataCollectionEvent e)`
`void` | `elementWillChange(DataCollectionEvent e)`
`void` | `elementWillRemove(DataCollectionEvent e)`
`void` | `fillList(Compartment compartment, List list, Class role)`
`double` | `getCompletionTime()`
`Object` | `getConstantValue(String name)`
`Equation[]` | `getEquations()`
`Event[]` | `getEvents()`
`ru.biosoft.math.model.Function` | `getFunction(String name)`
`Function[]` | `getFunctions()`
`State` | `getInitialState()`
`double` | `getInitialTime()`
`Variable[]` | `getInvolvedVariables(String equationType)`
`int` | `getModelType()`
`String` | `getModelTypeName()`
`DataCollection` | `getParameters()`
`String` | `getQualifiedName(String name, DiagramElement de)` Resolves brief variable name to fully qualified variable name, using information from corresponding DiagramElement.
`State[]` | `getStates()`
`Transition[]` | `getTransitions()`
`Variable` | `getVariable(String name)`
`DataCollection` | `getVariableRoles()`
`DataCollection` | `getVariables()`
`Object` | `getVariableValue(String name)` Returns value of variable with the specified name or null if variable is not declared.
`static boolean` | `isOfType(int type, int suggestedType)`
`Iterator` | `parameterIterator()`
`void` | `propertyChange(PropertyChangeEvent pce)`
`void` | `put(Variable variable)` Adds variable or parameter to the context.
`AstStart` | `readMath(String math, Role role)`
`ParserContext` | `removeNotUsedParameters()`
`void` | `setCompletionTime(double completionTime)`
`void` | `setInitialState(State initialState)`
`void` | `setInitialTime(double initialTime)`
`Iterator` | `variableRoleIterator()`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`getComment, getDiagramElement, setComment`

Field Detail

### ALGEBRAIC_TYPE

    public final static int ALGEBRAIC_TYPE

### EVENT_TYPE

    public final static int EVENT_TYPE

### ODE_DELAY_TYPE

    public final static int ODE_DELAY_TYPE

### ODE_TYPE

    public final static int ODE_TYPE

### STATE_TRANSITION_TYPE

    public final static int STATE_TRANSITION_TYPE

### STATIC_EQUATIONS_TYPE

    public final static int STATIC_EQUATIONS_TYPE

### STATIC_TYPE

    public final static int STATIC_TYPE

Constructor Detail

### EModel

    public EModel(DiagramElement de)

Method Detail

### clone

    public Role clone(DiagramElement de)

  Unsupported yet.

### containsConstant

    public boolean containsConstant(String name)

### containsVariable

    public boolean containsVariable(String name)

### declareConstant

    public void declareConstant(String name, Object value)

### declareFunction

    public void declareFunction(ru.biosoft.math.model.Function function)

### declareVariable

    public void declareVariable(String name, Object value)

  Declares the variable (parameter).
  Parameters:
    name - - parameter name
    value - - parameter value, should be instance of `Double`.

### elementAdded

    public void elementAdded(DataCollectionEvent e)
                       throws java.lang.Exception

### elementChanged

    public void elementChanged(DataCollectionEvent e)
                         throws java.lang.Exception

### elementRemoved

    public void elementRemoved(DataCollectionEvent e)
                         throws java.lang.Exception

### elementWillAdd

    public void elementWillAdd(DataCollectionEvent e)
                         throws ru.biosoft.access.DataCollectionVetoException,
                                java.lang.Exception

### elementWillChange

    public void elementWillChange(DataCollectionEvent e)
                            throws ru.biosoft.access.DataCollectionVetoException,
                                   java.lang.Exception

### elementWillRemove

    public void elementWillRemove(DataCollectionEvent e)
                            throws ru.biosoft.access.DataCollectionVetoException,
                                   java.lang.Exception

### fillList

    public void fillList(Compartment compartment, List list, Class role)

### getCompletionTime

    public double getCompletionTime()

### getConstantValue

    public Object getConstantValue(String name)

### getEquations

    public Equation[] getEquations()

### getEvents

    public Event[] getEvents()

### getFunction

    public ru.biosoft.math.model.Function getFunction(String name)

### getFunctions

    public Function[] getFunctions()

### getInitialState

    public State getInitialState()

### getInitialTime

    public double getInitialTime()

### getInvolvedVariables

    public Variable[] getInvolvedVariables(String equationType)

### getModelType

    public int getModelType()

### getModelTypeName

    public String getModelTypeName()

### getParameters

    public DataCollection getParameters()

### getQualifiedName

    public String getQualifiedName(String name, DiagramElement de)
                             throws java.lang.IllegalArgumentException

  Resolves brief variable name to fully qualified variable name, using information from corresponding DiagramElement.
  Throws:
    IllegalArgumentException - if variable name is ambiguous.
  todo high
  returns fully qualified variable name. This name corresponds to variable name in variables data collection. Returns null if variable can not be resolved.

### getStates

    public State[] getStates()

### getTransitions

    public Transition[] getTransitions()

### getVariable

    public Variable getVariable(String name)

### getVariableRoles

    public DataCollection getVariableRoles()

### getVariables

    public DataCollection getVariables()

### getVariableValue

    public Object getVariableValue(String name)

  Returns value of variable with the specified name or null if variable is not declared.

### isOfType

    public static boolean isOfType(int type, int suggestedType)

### parameterIterator

    public Iterator parameterIterator()

### propertyChange

    public void propertyChange(PropertyChangeEvent pce)

  pending role update

### put

    public void put(Variable variable)

  Adds variable or parameter to the context.

### readMath

    public AstStart readMath(String math, Role role)

### removeNotUsedParameters

    public ParserContext removeNotUsedParameters()

### setCompletionTime

    public void setCompletionTime(double completionTime)

### setInitialState

    public void setInitialState(State initialState)

### setInitialTime

    public void setInitialTime(double initialTime)

### variableRoleIterator

    public Iterator variableRoleIterator()

Association Links

to Class org.apache.log4j.Category

to Class java.util.HashMap

to Class java.util.HashMap

to Class ru.biosoft.access.DataCollection

to Class ru.biosoft.access.DataCollection

to Class ru.biosoft.access.DataCollection

to Class ru.biosoft.math.parser.Parser

to Class biouml.model.Role

to Class ru.biosoft.access.DataElement

to Class biouml.model.dynamics.State

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM